package WEB-INF.classes.wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseDetailBean;

public class HrmEmpPersDtlsBean extends BaseDetailBean implements Serializable {
  String guardianName;
  
  String motherTongue;
  
  String dateOfBirth;
  
  String nationality;
  
  String bloodGroup;
  
  String sex;
  
  String maritalStatus;
  
  String department;
  
  String designation;
  
  private String rsvCtg;
  
  private String relatedToEmployee;
  
  String grade;
  
  String handicappedFlag;
  
  String panNumber;
  
  String girNumber;
  
  String pfNumber;
  
  String reportingEmployee;
  
  String lastPromotionDate;
  
  String religionId;
  
  String nationalityCode;
  
  String maritalCode;
  
  String departmentId;
  
  String designationId;
  
  String socialStatusId;
  
  String gradeId;
  
  String reportingEmpId;
  
  String gradeCode;
  
  String relatedEmpId;
  
  String motherTongueCode;
  
  String locationId;
  
  String dsgnCode;
  
  String relatedEmployee;
  
  String spouseOccupation;
  
  String spouseName;
  
  String validUpto;
  
  String passportExpDate;
  
  String placeOfIssue;
  
  String drivingLicenseNo;
  
  String passportIssueDate;
  
  String passportNo;
  
  String location;
  
  String locJoiningDate;
  
  String placeOfBirth;
  
  String idMark;
  
  String dependants;
  
  private String email;
  
  private String code;
  
  private String incrementDate;
  
  private String religion;
  
  private String socialCode;
  
  private String level;
  
  private String locationCode;
  
  private String nationalityId;
  
  private String motherTongueId;
  
  private String maritalId;
  
  private String personalEmail;
  
  private String mobile;
  
  private String deptCode;
  
  private String flat;
  
  private String anniversaryDate;
  
  private String motherName;
  
  private String scsmemershipNo;
  
  private String gunLicenseNo;
  
  private String gunLicenseRenDate;
  
  private String spouseOrganization;
  
  private String spOrgType;
  
  private String spTransferable;
  
  private String clubMembership;
  
  private String unionInfo;
  
  private String uanInfo;
  
  private String aadharInfo;
  
  public String getGuardianName() {
    return this.guardianName;
  }
  
  public void setGuardianName(String newGuardianName) {
    this.guardianName = newGuardianName;
  }
  
  public String getMotherTongue() {
    return this.motherTongue;
  }
  
  public void setMotherTongue(String newMotherTongue) {
    this.motherTongue = newMotherTongue;
  }
  
  public String getDateOfBirth() {
    return this.dateOfBirth;
  }
  
  public void setDateOfBirth(String newDateOfBirth) {
    this.dateOfBirth = newDateOfBirth;
  }
  
  public String getNationality() {
    return this.nationality;
  }
  
  public void setNationality(String newNationality) {
    this.nationality = newNationality;
  }
  
  public String getBloodGroup() {
    return this.bloodGroup;
  }
  
  public void setBloodGroup(String newBloodGroup) {
    this.bloodGroup = newBloodGroup;
  }
  
  public String getSex() {
    return this.sex;
  }
  
  public void setSex(String newSex) {
    this.sex = newSex;
  }
  
  public String getMaritalStatus() {
    return this.maritalStatus;
  }
  
  public void setMaritalStatus(String newMaritalStatus) {
    this.maritalStatus = newMaritalStatus;
  }
  
  public String getDepartment() {
    return this.department;
  }
  
  public void setDepartment(String newDepartment) {
    this.department = newDepartment;
  }
  
  public String getDesignation() {
    return this.designation;
  }
  
  public void setDesignation(String newDesignation) {
    this.designation = newDesignation;
  }
  
  public String getRsvCtg() {
    return this.rsvCtg;
  }
  
  public void setRsvCtg(String newRsvCtg) {
    this.rsvCtg = newRsvCtg;
  }
  
  public String getRelatedToEmployee() {
    return this.relatedToEmployee;
  }
  
  public void setRelatedToEmployee(String newRelatedToEmployee) {
    this.relatedToEmployee = newRelatedToEmployee;
  }
  
  public String getGrade() {
    return this.grade;
  }
  
  public void setGrade(String newGrade) {
    this.grade = newGrade;
  }
  
  public String getHandicappedFlag() {
    return this.handicappedFlag;
  }
  
  public void setHandicappedFlag(String newHandicappedFlag) {
    this.handicappedFlag = newHandicappedFlag;
  }
  
  public String getPanNumber() {
    return this.panNumber;
  }
  
  public void setPanNumber(String newPanNumber) {
    this.panNumber = newPanNumber;
  }
  
  public String getGirNumber() {
    return this.girNumber;
  }
  
  public void setGirNumber(String newGirNumber) {
    this.girNumber = newGirNumber;
  }
  
  public String getPfNumber() {
    return this.pfNumber;
  }
  
  public void setPfNumber(String newPfNumber) {
    this.pfNumber = newPfNumber;
  }
  
  public String getReportingEmployee() {
    return this.reportingEmployee;
  }
  
  public void setReportingEmployee(String newReportingEmployee) {
    this.reportingEmployee = newReportingEmployee;
  }
  
  public String getLastPromotionDate() {
    return this.lastPromotionDate;
  }
  
  public void setLastPromotionDate(String newLastPromotionDate) {
    this.lastPromotionDate = newLastPromotionDate;
  }
  
  public String getReligionId() {
    return this.religionId;
  }
  
  public void setReligionId(String newReligionId) {
    this.religionId = newReligionId;
  }
  
  public String getNationalityCode() {
    return this.nationalityCode;
  }
  
  public void setNationalityCode(String newNationalityCode) {
    this.nationalityCode = newNationalityCode;
  }
  
  public String getMaritalCode() {
    return this.maritalCode;
  }
  
  public void setMaritalCode(String newMaritalCode) {
    this.maritalCode = newMaritalCode;
  }
  
  public String getDepartmentId() {
    return this.departmentId;
  }
  
  public void setDepartmentId(String newDepartmentId) {
    this.departmentId = newDepartmentId;
  }
  
  public String getDesignationId() {
    return this.designationId;
  }
  
  public void setDesignationId(String newDesignationId) {
    this.designationId = newDesignationId;
  }
  
  public String getSocialStatusId() {
    return this.socialStatusId;
  }
  
  public void setSocialStatusId(String newSocialStatusId) {
    this.socialStatusId = newSocialStatusId;
  }
  
  public String getGradeId() {
    return this.gradeId;
  }
  
  public void setGradeId(String newGradeId) {
    this.gradeId = newGradeId;
  }
  
  public String getReportingEmpId() {
    return this.reportingEmpId;
  }
  
  public void setReportingEmpId(String newReportingEmpId) {
    this.reportingEmpId = newReportingEmpId;
  }
  
  public String getGradeCode() {
    return this.gradeCode;
  }
  
  public void setGradeCode(String newGradeCode) {
    this.gradeCode = newGradeCode;
  }
  
  public String getRelatedEmpId() {
    return this.relatedEmpId;
  }
  
  public void setRelatedEmpId(String newRelatedEmpId) {
    this.relatedEmpId = newRelatedEmpId;
  }
  
  public String getMotherTongueCode() {
    return this.motherTongueCode;
  }
  
  public void setMotherTongueCode(String newMotherTongueCode) {
    this.motherTongueCode = newMotherTongueCode;
  }
  
  public String getLocationId() {
    return this.locationId;
  }
  
  public void setLocationId(String newLocationId) {
    this.locationId = newLocationId;
  }
  
  public String getDsgnCode() {
    return this.dsgnCode;
  }
  
  public void setDsgnCode(String newDsgnCode) {
    this.dsgnCode = newDsgnCode;
  }
  
  public String getRelatedEmployee() {
    return this.relatedEmployee;
  }
  
  public void setRelatedEmployee(String newRelatedEmployee) {
    this.relatedEmployee = newRelatedEmployee;
  }
  
  public String getSpouseOccupation() {
    return this.spouseOccupation;
  }
  
  public void setSpouseOccupation(String newSpouseOccupation) {
    this.spouseOccupation = newSpouseOccupation;
  }
  
  public String getSpouseName() {
    return this.spouseName;
  }
  
  public void setSpouseName(String newSpouseName) {
    this.spouseName = newSpouseName;
  }
  
  public String getValidUpto() {
    return this.validUpto;
  }
  
  public void setValidUpto(String newValidUpto) {
    this.validUpto = newValidUpto;
  }
  
  public String getPassportExpDate() {
    return this.passportExpDate;
  }
  
  public void setPassportExpDate(String newPassportExpDate) {
    this.passportExpDate = newPassportExpDate;
  }
  
  public String getPlaceOfIssue() {
    return this.placeOfIssue;
  }
  
  public void setPlaceOfIssue(String newPlaceOfIssue) {
    this.placeOfIssue = newPlaceOfIssue;
  }
  
  public String getDrivingLicenseNo() {
    return this.drivingLicenseNo;
  }
  
  public void setDrivingLicenseNo(String newDrivingLicenseNo) {
    this.drivingLicenseNo = newDrivingLicenseNo;
  }
  
  public String getPassportIssueDate() {
    return this.passportIssueDate;
  }
  
  public void setPassportIssueDate(String newPassportIssueDate) {
    this.passportIssueDate = newPassportIssueDate;
  }
  
  public String getPassportNo() {
    return this.passportNo;
  }
  
  public void setPassportNo(String newPassportNo) {
    this.passportNo = newPassportNo;
  }
  
  public String getLocation() {
    return this.location;
  }
  
  public void setLocation(String newLocation) {
    this.location = newLocation;
  }
  
  public String getLocJoiningDate() {
    return this.locJoiningDate;
  }
  
  public void setLocJoiningDate(String newLocJoiningDate) {
    this.locJoiningDate = newLocJoiningDate;
  }
  
  public String getPlaceOfBirth() {
    return this.placeOfBirth;
  }
  
  public void setPlaceOfBirth(String newPlaceOfBirth) {
    this.placeOfBirth = newPlaceOfBirth;
  }
  
  public String getIdMark() {
    return this.idMark;
  }
  
  public void setIdMark(String newIdMark) {
    this.idMark = newIdMark;
  }
  
  public String getDependants() {
    return this.dependants;
  }
  
  public void setDependants(String newDependants) {
    this.dependants = newDependants;
  }
  
  public String getEmail() {
    return this.email;
  }
  
  public void setEmail(String newEmail) {
    this.email = newEmail;
  }
  
  public String getCode() {
    return this.code;
  }
  
  public void setCode(String newCode) {
    this.code = newCode;
  }
  
  public String getIncrementDate() {
    return this.incrementDate;
  }
  
  public void setIncrementDate(String newIncrementDate) {
    this.incrementDate = newIncrementDate;
  }
  
  public String getReligion() {
    return this.religion;
  }
  
  public void setReligion(String newReligion) {
    this.religion = newReligion;
  }
  
  public String getSocialCode() {
    return this.socialCode;
  }
  
  public void setSocialCode(String newSocialCode) {
    this.socialCode = newSocialCode;
  }
  
  public String getLevel() {
    return this.level;
  }
  
  public void setLevel(String newLevel) {
    this.level = newLevel;
  }
  
  public String getLocationCode() {
    return this.locationCode;
  }
  
  public void setLocationCode(String newLocationCode) {
    this.locationCode = newLocationCode;
  }
  
  public String getNationalityId() {
    return this.nationalityId;
  }
  
  public void setNationalityId(String newNationalityId) {
    this.nationalityId = newNationalityId;
  }
  
  public String getMotherTongueId() {
    return this.motherTongueId;
  }
  
  public void setMotherTongueId(String newMotherTongueId) {
    this.motherTongueId = newMotherTongueId;
  }
  
  public String getMaritalId() {
    return this.maritalId;
  }
  
  public void setMaritalId(String newMaritalId) {
    this.maritalId = newMaritalId;
  }
  
  public String getPersonalEmail() {
    return this.personalEmail;
  }
  
  public void setPersonalEmail(String newPersonalEmail) {
    this.personalEmail = newPersonalEmail;
  }
  
  public String getMobile() {
    return this.mobile;
  }
  
  public void setMobile(String newMobile) {
    this.mobile = newMobile;
  }
  
  public String getDeptCode() {
    return this.deptCode;
  }
  
  public void setDeptCode(String newDeptCode) {
    this.deptCode = newDeptCode;
  }
  
  public String getFlat() {
    return this.flat;
  }
  
  public void setFlat(String newFlat) {
    this.flat = newFlat;
  }
  
  public String getAnniversaryDate() {
    return this.anniversaryDate;
  }
  
  public void setAnniversaryDate(String newAnniversaryDate) {
    this.anniversaryDate = newAnniversaryDate;
  }
  
  public String getMotherName() {
    return this.motherName;
  }
  
  public void setMotherName(String newMotherName) {
    this.motherName = newMotherName;
  }
  
  public String getScsmemershipNo() {
    return this.scsmemershipNo;
  }
  
  public void setScsmemershipNo(String newScsmemershipNo) {
    this.scsmemershipNo = newScsmemershipNo;
  }
  
  public String getGunLicenseNo() {
    return this.gunLicenseNo;
  }
  
  public void setGunLicenseNo(String newGunLicenseNo) {
    this.gunLicenseNo = newGunLicenseNo;
  }
  
  public String getGunLicenseRenDate() {
    return this.gunLicenseRenDate;
  }
  
  public void setGunLicenseRenDate(String newGunLicenseRenDate) {
    this.gunLicenseRenDate = newGunLicenseRenDate;
  }
  
  public String getSpouseOrganization() {
    return this.spouseOrganization;
  }
  
  public void setSpouseOrganization(String newSpouseOrganization) {
    this.spouseOrganization = newSpouseOrganization;
  }
  
  public String getSpOrgType() {
    return this.spOrgType;
  }
  
  public void setSpOrgType(String newSpOrgType) {
    this.spOrgType = newSpOrgType;
  }
  
  public String getSpTransferable() {
    return this.spTransferable;
  }
  
  public void setSpTransferable(String newSpTransferable) {
    this.spTransferable = newSpTransferable;
  }
  
  public String getClubMembership() {
    return this.clubMembership;
  }
  
  public void setClubMembership(String newClubMembership) {
    this.clubMembership = newClubMembership;
  }
  
  public String getUnionInfo() {
    return this.unionInfo;
  }
  
  public void setUnionInfo(String newUnionInfo) {
    this.unionInfo = newUnionInfo;
  }
  
  public String getUanInfo() {
    return this.uanInfo;
  }
  
  public void setUanInfo(String uanInfo) {
    this.uanInfo = uanInfo;
  }
  
  public String getAadharInfo() {
    return this.aadharInfo;
  }
  
  public void setAadharInfo(String aadharInfo) {
    this.aadharInfo = aadharInfo;
  }
}
